/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

.footer {
    font-family: Arial, sans-serif;

    background-color: #007bff;
    color: white;
    text-align: center;
    /* padding: 2rem 1rem; */
}

.footer .footer-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    max-width: 1200px;
    margin: 0 auto;
}

.footer .footer-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    margin-top: 1rem;
}

.footer .footer-column {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    text-align: center;
    -webkit-box-flex: 1;
        -ms-flex: 1;
            flex: 1;
    min-width: 250px;
    margin: 1rem 0;
}

.footer .footer-column h5 {
    text-transform: uppercase;
    margin-bottom: 1rem;
}

.footer .footer-column p {
    margin: 0.5rem 0;
}

.footer .social-icons {
    margin-top: 1rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.footer .social-btn {
    height: 45px;
    aspect-ratio: 1/1;
    background-color: hsl(211, 100%, 50%);
    border: none;
    color: white;
    /* padding: 0.5rem 1rem; */
    margin: 0.2rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    text-decoration: none;
    font-size: 1.25rem;
    border-radius: 50%;
    -webkit-box-shadow: 1px 2px 5px 1px hsla(211, 100%, 40%, 0.5);
            box-shadow: 1px 2px 5px 1px hsla(211, 100%, 40%, 0.5);
    -webkit-transition: background-color 0.3s;
    -o-transition: background-color 0.3s;
    transition: background-color 0.3s;
}

.footer .social-btn:hover {
    -webkit-box-shadow: none;
            box-shadow: none;
    background-color: hsl(211, 100%, 40%);
}

.footer .contact-list {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    list-style: none;
    padding: 0;
    margin: 0;

}

.footer .contact-list a {
    color: white;
}

.footer .contact-list a:hover {
    color: hsla(0, 0%, 100%, 0.7);
}

.footer .contact-list li {
    margin-bottom: 1rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.footer .contact-list li i {
    margin-right: 1rem;
}

.footer .opening-hours {
    width: 100%;
    border-collapse: collapse;
}

.footer .opening-hours tr {
    border-bottom: 1px solid #ddd;
}

.footer .opening-hours td {
    padding: 0.5rem;
}

.footer .footer-bottom {
    position: relative;
    background-color: hsl(211, 100%, 38%);
    padding: 1rem;
    margin-top: 1rem;
    z-index: 1001; /* above the fab buttons (z1000)*/
}

.footer .footer-bottom a {
    color: white;
    text-decoration: underline;
}

.footer .footer-bottom a:hover {
    text-decoration: none;
}

@media (max-width: 768px) {
    .footer .footer-column {
        text-align: center;
        -webkit-box-align: center;
            -ms-flex-align: center;
                align-items: center;
    }
}